From 19b925e741fa46d2222210469a4dffc34a634ebd Mon Sep 17 00:00:00 2001
From: Janosch Schwalm <janosch.schwalm@gmail.com>
Date: Tue, 7 Aug 2018 20:42:02 +0200
Subject: use https everywhere (#6574)

* use https everywhere

* use https links on the files that are left

Also, removed some broken links and updated redirections.
---
 plugins/git-extras/git-extras.plugin.zsh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

(limited to 'plugins/git-extras/git-extras.plugin.zsh')

diff --git a/plugins/git-extras/git-extras.plugin.zsh b/plugins/git-extras/git-extras.plugin.zsh
index 0dcd630e8..afc1679cc 100644
--- a/plugins/git-extras/git-extras.plugin.zsh
+++ b/plugins/git-extras/git-extras.plugin.zsh
@@ -2,7 +2,7 @@
 # Description
 # -----------
 #
-#  Completion script for git-extras (http://github.com/tj/git-extras).
+#  Completion script for git-extras (https://github.com/tj/git-extras).
 #
 #  This depends on and reuses some of the internals of the _git completion
 #  function that ships with zsh itself. It will not work with the _git that ships
@@ -19,8 +19,8 @@
 # Inspirations
 # -----------
 #
-#  * git-extras (http://github.com/tj/git-extras)
-#  * git-flow-completion (http://github.com/bobthecow/git-flow-completion)
+#  * git-extras (https://github.com/tj/git-extras)
+#  * git-flow-completion (https://github.com/bobthecow/git-flow-completion)
 #
 # ------------------------------------------------------------------------------
 
-- 
cgit v1.2.3-70-g09d2


From be65adc6c364e842307c7b4e8da30f0162b629f0 Mon Sep 17 00:00:00 2001
From: Marc Cornellà <marc.cornella@live.com>
Date: Sun, 19 Aug 2018 21:36:21 +0200
Subject: git-extras: update completion (2018-05-24 0f76863)

---
 plugins/git-extras/git-extras.plugin.zsh | 225 ++++++++++++++++++++++++++-----
 1 file changed, 194 insertions(+), 31 deletions(-)

(limited to 'plugins/git-extras/git-extras.plugin.zsh')

diff --git a/plugins/git-extras/git-extras.plugin.zsh b/plugins/git-extras/git-extras.plugin.zsh
index afc1679cc..ef6c35988 100644
--- a/plugins/git-extras/git-extras.plugin.zsh
+++ b/plugins/git-extras/git-extras.plugin.zsh
@@ -47,6 +47,14 @@ __gitex_commits() {
     _describe -t commits commit commits && ret=0
 }
 
+__gitex_remote_names() {
+    local expl
+    declare -a remote_names
+    remote_names=(${(f)"$(_call_program remotes git remote 2>/dev/null)"})
+    __git_command_successful || return
+    _wanted remote-names expl remote-name compadd $* - $remote_names
+}
+
 __gitex_tag_names() {
     local expl
     declare -a tag_names
@@ -69,7 +77,11 @@ __gitex_specific_branch_names() {
     declare -a branch_names
     branch_names=(${${(f)"$(_call_program branchrefs git for-each-ref --format='"%(refname)"' refs/heads/"$1" 2>/dev/null)"}#refs/heads/$1/})
     __git_command_successful || return
-    _wanted branch-names expl branch-name compadd $* - $branch_names
+    _wanted branch-names expl branch-name compadd - $branch_names
+}
+
+__gitex_chore_branch_names() {
+    __gitex_specific_branch_names 'chore'
 }
 
 __gitex_feature_branch_names() {
@@ -102,6 +114,11 @@ __gitex_author_names() {
 }
 
 # subcommands
+_git-authors() {
+    _arguments  -C \
+        '(--list -l)'{--list,-l}'[show authors]' \
+        '--no-email[without email]' \
+}
 
 _git-bug() {
     local curcontext=$curcontext state line ret=1
@@ -126,8 +143,16 @@ _git-bug() {
                     _arguments -C \
                         ':branch-name:__gitex_bug_branch_names'
                     ;;
+                -r|--remote )
+                    _arguments -C \
+                        ':remote-name:__gitex_remote_names'
+                    ;;
             esac
+            return 0
     esac
+
+    _arguments \
+        '(--remote -r)'{--remote,-r}'[setup remote tracking branch]'
 }
 
 
@@ -136,6 +161,40 @@ _git-changelog() {
         '(-l --list)'{-l,--list}'[list commits]' \
 }
 
+_git-chore() {
+    local curcontext=$curcontext state line ret=1
+    declare -A opt_args
+
+    _arguments -C \
+        ': :->command' \
+        '*:: :->option-or-argument' && ret=0
+
+    case $state in
+        (command)
+            declare -a commands
+            commands=(
+                'finish:merge and delete the chore branch'
+            )
+            _describe -t commands command commands && ret=0
+            ;;
+        (option-or-argument)
+            curcontext=${curcontext%:*}-$line[1]:
+            case $line[1] in
+                (finish)
+                    _arguments -C \
+                        ':branch-name:__gitex_chore_branch_names'
+                    ;;
+                -r|--remote )
+                    _arguments -C \
+                        ':remote-name:__gitex_remote_names'
+                    ;;
+            esac
+            return 0
+    esac
+
+    _arguments \
+        '(--remote -r)'{--remote,-r}'[setup remote tracking branch]'
+}
 
 
 _git-contrib() {
@@ -149,6 +208,27 @@ _git-count() {
         '--all[detailed commit count]'
 }
 
+_git-create-branch() {
+    local curcontext=$curcontext state line
+    _arguments -C \
+        ': :->command' \
+        '*:: :->option-or-argument'
+
+    case "$state" in
+        (command)
+            _arguments \
+                '(--remote -r)'{--remote,-r}'[setup remote tracking branch]'
+            ;;
+        (option-or-argument)
+            curcontext=${curcontext%:*}-$line[1]:
+            case $line[1] in
+                -r|--remote )
+                    _arguments -C \
+                        ':remote-name:__gitex_remote_names'
+                    ;;
+            esac
+    esac
+}
 
 _git-delete-branch() {
     _arguments \
@@ -220,10 +300,17 @@ _git-feature() {
                     _arguments -C \
                         ':branch-name:__gitex_feature_branch_names'
                     ;;
+                -r|--remote )
+                    _arguments -C \
+                        ':remote-name:__gitex_remote_names'
+                    ;;
             esac
+            return 0
     esac
-}
 
+    _arguments \
+        '(--remote -r)'{--remote,-r}'[setup remote tracking branch]'
+}
 
 _git-graft() {
     _arguments \
@@ -231,14 +318,39 @@ _git-graft() {
         ':dest-branch-name:__gitex_branch_names'
 }
 
+_git-guilt() {
+    _arguments -C \
+        '(--email -e)'{--email,-e}'[display author emails instead of names]' \
+        '(--ignore-whitespace -w)'{--ignore-whitespace,-w}'[ignore whitespace only changes]' \
+        '(--debug -d)'{--debug,-d}'[output debug information]' \
+        '-h[output usage information]'
+}
 
 _git-ignore() {
     _arguments  -C \
         '(--local -l)'{--local,-l}'[show local gitignore]' \
-        '(--global -g)'{--global,-g}'[show global gitignore]'
+        '(--global -g)'{--global,-g}'[show global gitignore]' \
+        '(--private -p)'{--private,-p}'[show repo gitignore]'
 }
 
 
+_git-ignore() {
+    _arguments  -C \
+        '(--append -a)'{--append,-a}'[append .gitignore]' \
+        '(--replace -r)'{--replace,-r}'[replace .gitignore]' \
+        '(--list-in-table -l)'{--list-in-table,-l}'[print available types in table format]' \
+        '(--list-alphabetically -L)'{--list-alphabetically,-L}'[print available types in alphabetical order]' \
+        '(--search -s)'{--search,-s}'[search word in available types]'
+}
+
+
+_git-merge-into() {
+    _arguments '--ff-only[merge only fast-forward]'
+    _arguments \
+        ':src:__gitex_branch_names' \
+        ':dest:__gitex_branch_names'
+}
+
 _git-missing() {
     _arguments \
         ':first-branch-name:__gitex_branch_names' \
@@ -269,8 +381,16 @@ _git-refactor() {
                     _arguments -C \
                         ':branch-name:__gitex_refactor_branch_names'
                     ;;
+                -r|--remote )
+                    _arguments -C \
+                        ':remote-name:__gitex_remote_names'
+                    ;;
             esac
+            return 0
     esac
+
+    _arguments \
+        '(--remote -r)'{--remote,-r}'[setup remote tracking branch]'
 }
 
 
@@ -279,6 +399,23 @@ _git-squash() {
         ':branch-name:__gitex_branch_names'
 }
 
+_git-stamp() {
+    _arguments  -C \
+         '(--replace -r)'{--replace,-r}'[replace stamps with same id]'
+}
+
+_git-standup() {
+    _arguments -C \
+        '-a[Specify the author of commits. Use "all" to specify all authors.]' \
+        '-d[Show history since N days ago]' \
+        '-D[Specify the date format displayed in commit history]' \
+        '-f[Fetch commits before showing history]' \
+        '-g[Display GPG signed info]' \
+        '-h[Display help message]' \
+        '-L[Enable the inclusion of symbolic links]' \
+        '-m[The depth of recursive directory search]'
+}
+
 _git-summary() {
     _arguments '--line[summarize with lines rather than commits]'
     __gitex_commits
@@ -291,45 +428,71 @@ _git-undo(){
         '(--hard -h)'{--hard,-h}'[wipes your commit(s)]'
 }
 
-zstyle ':completion:*:*:git:*' user-commands \
+zstyle -g existing_user_commands ':completion:*:*:git:*' user-commands
+
+zstyle ':completion:*:*:git:*' user-commands $existing_user_commands \
     alias:'define, search and show aliases' \
-    archive-file:'export the current HEAD of the git repository to a archive' \
+    archive-file:'export the current head of the git repository to an archive' \
+    authors:'generate authors report' \
     back:'undo and stage latest commits' \
-    bug:'create a bug branch' \
-    changelog:'populate changelog file with commits since the previous tag' \
-    commits-since:'list commits since a given date' \
-    contrib:'display author contributions' \
-    count:'count commits' \
-    create-branch:'create local and remote branch' \
-    delete-branch:'delete local and remote branch' \
-    delete-merged-branches:'delete merged branches'\
-    delete-submodule:'delete submodule' \
-    delete-tag:'delete local and remote tag' \
-    effort:'display effort statistics' \
-    extras:'git-extras' \
-    feature:'create a feature branch' \
+    bug:'create bug branch' \
+    bulk:'run bulk commands' \
+    changelog:'generate a changelog report' \
+    chore:'create chore branch' \
+    clear-soft:'soft clean up a repository' \
+    clear:'rigorously clean up a repository' \
+    commits-since:'show commit logs since some date' \
+    contrib:'show user contributions' \
+    count:'show commit count' \
+    create-branch:'create branches' \
+    delete-branch:'delete branches' \
+    delete-merged-branches:'delete merged branches' \
+    delete-submodule:'delete submodules' \
+    delete-tag:'delete tags' \
+    delta:'lists changed files' \
+    effort:'show effort statistics on file(s)' \
+    extras:'awesome git utilities' \
+    feature:'create/merge feature branch' \
+    force-clone:'overwrite local repositories with clone' \
     fork:'fork a repo on github' \
-    fresh-branch:'create empty local branch' \
-    gh-pages:'create the GitHub Pages branch' \
-    graft:'merge commits from source branch to destination branch' \
-    ignore:'add patterns to .gitignore' \
-    info:'show info about the repository' \
-    local-commits:'list unpushed commits on the local branch' \
+    fresh-branch:'create fresh branches' \
+    gh-pages:'create the github pages branch' \
+    graft:'merge and destroy a given branch' \
+    guilt:'calculate change between two revisions' \
+    ignore-io:'get sample gitignore file' \
+    ignore:'add .gitignore patterns' \
+    info:'returns information on current repository' \
+    local-commits:'list local commits' \
     lock:'lock a file excluded from version control' \
     locked:'ls files that have been locked' \
+    merge-into:'merge one branch into another' \
+    merge-repo:'merge two repo histories' \
     missing:'show commits missing from another branch' \
+    mr:'checks out a merge request locally' \
+    obliterate:'rewrite past commits to remove some files' \
     pr:'checks out a pull request locally' \
+    psykorebase:'rebase a branch with a merge commit' \
+    pull-request:'create pull request to GitHub project' \
+    reauthor:'replace the author and/or committer identities in commits and tags' \
     rebase-patch:'rebases a patch' \
-    refactor:'create a refactor branch' \
+    refactor:'create refactor branch' \
     release:'commit, tag and push changes to the repository' \
+    rename-branch:'rename a branch' \
     rename-tag:'rename a tag' \
-    repl:'read-eval-print-loop' \
+    repl:'git read-eval-print-loop' \
     reset-file:'reset one file' \
     root:'show path of root' \
-    setup:'setup a git repository' \
+    scp:'copy files to ssh compatible `git-remote`' \
+    sed:'replace patterns in git-controlled files' \
+    setup:'set up a git repository' \
+    show-merged-branches:'show merged branches' \
     show-tree:'show branch tree of commit history' \
-    squash:'merge commits from source branch into the current one as a single commit' \
-    summary:'repository summary' \
-    touch:'one step creation of new files' \
-    undo:'remove the latest commit' \
+    show-unmerged-branches:'show unmerged branches' \
+    squash:'import changes from a branch' \
+    stamp:'stamp the last commit message' \
+    standup:'recall the commit history' \
+    summary:'show repository summary' \
+    sync:'sync local branch with remote branch' \
+    touch:'touch and add file to the index' \
+    undo:'remove latest commits' \
     unlock:'unlock a file excluded from version control'
-- 
cgit v1.2.3-70-g09d2


From 78b241b16ae34da0c6e0c3c2f0591f3f49e42980 Mon Sep 17 00:00:00 2001
From: Kewang <cpckewang@gmail.com>
Date: Wed, 8 May 2019 02:02:41 +0800
Subject: Capitalizate github to GitHub (#5932)

---
 plugins/catimg/catimg.plugin.zsh           |  2 +-
 plugins/catimg/catimg.sh                   |  2 +-
 plugins/git-extras/git-extras.plugin.zsh   |  4 ++--
 plugins/git-hubflow/git-hubflow.plugin.zsh | 12 ++++++------
 plugins/gulp/gulp.plugin.zsh               |  2 +-
 5 files changed, 11 insertions(+), 11 deletions(-)

(limited to 'plugins/git-extras/git-extras.plugin.zsh')

diff --git a/plugins/catimg/catimg.plugin.zsh b/plugins/catimg/catimg.plugin.zsh
index 5f58ecde3..ca46444cc 100644
--- a/plugins/catimg/catimg.plugin.zsh
+++ b/plugins/catimg/catimg.plugin.zsh
@@ -4,7 +4,7 @@
 #                                                                              #
 # Ouput the content of an image to the stdout using the 256 colors of the      #
 # terminal.                                                                    #
-# Github: https://github.com/posva/catimg                                      #
+# GitHub: https://github.com/posva/catimg                                      #
 ################################################################################
 
 
diff --git a/plugins/catimg/catimg.sh b/plugins/catimg/catimg.sh
index 83ccf6a95..713a03291 100644
--- a/plugins/catimg/catimg.sh
+++ b/plugins/catimg/catimg.sh
@@ -4,7 +4,7 @@
 #                                                                              #
 # Ouput the content of an image to the stdout using the 256 colors of the      #
 # terminal.                                                                    #
-# Github: https://github.com/posva/catimg                                      #
+# GitHub: https://github.com/posva/catimg                                      #
 ################################################################################
 
 function help() {
diff --git a/plugins/git-extras/git-extras.plugin.zsh b/plugins/git-extras/git-extras.plugin.zsh
index ef6c35988..b86d7c5b6 100644
--- a/plugins/git-extras/git-extras.plugin.zsh
+++ b/plugins/git-extras/git-extras.plugin.zsh
@@ -454,9 +454,9 @@ zstyle ':completion:*:*:git:*' user-commands $existing_user_commands \
     extras:'awesome git utilities' \
     feature:'create/merge feature branch' \
     force-clone:'overwrite local repositories with clone' \
-    fork:'fork a repo on github' \
+    fork:'fork a repo on GitHub' \
     fresh-branch:'create fresh branches' \
-    gh-pages:'create the github pages branch' \
+    gh-pages:'create the GitHub pages branch' \
     graft:'merge and destroy a given branch' \
     guilt:'calculate change between two revisions' \
     ignore-io:'get sample gitignore file' \
diff --git a/plugins/git-hubflow/git-hubflow.plugin.zsh b/plugins/git-hubflow/git-hubflow.plugin.zsh
index 05479f7e6..50d7b23ce 100644
--- a/plugins/git-hubflow/git-hubflow.plugin.zsh
+++ b/plugins/git-hubflow/git-hubflow.plugin.zsh
@@ -75,8 +75,8 @@ __git-hf-release ()
                 'finish:Finish a release branch.'
                 'list:List all your release branches. (Alias to `git hf release`)'
                 'cancel:Cancel release'
-                'push:Push release to github'
-                'pull:Pull release from github'
+                'push:Push release to GitHub'
+                'pull:Pull release from GitHub'
                 'track:Track release'
             )
             _describe -t commands 'git hf release' subcommands
@@ -133,8 +133,8 @@ __git-hf-hotfix ()
                 'list:List all your hotfix branches. (Alias to `git hf hotfix`)'
                 'publish:Publish the hotfix branch.'
                 'track:Track the hotfix branch.'
-                'pull:Pull the hotfix from github.'
-                'push:Push the hotfix to github.'
+                'pull:Pull the hotfix from GitHub.'
+                'push:Push the hotfix to GitHub.'
                 'cancel:Cancel the hotfix.'
             )
             _describe -t commands 'git hf hotfix' subcommands
@@ -195,8 +195,8 @@ __git-hf-feature ()
                 'diff:Diff'
                 'rebase:Rebase feature branch against develop'
                 'checkout:Checkout feature'
-                'pull:Pull feature branch from github'
-                'push:Push feature branch to github'
+                'pull:Pull feature branch from GitHub'
+                'push:Push feature branch to GitHub'
                 'cancel:Cancel feature'
             )
             _describe -t commands 'git hf feature' subcommands
diff --git a/plugins/gulp/gulp.plugin.zsh b/plugins/gulp/gulp.plugin.zsh
index ec597421d..6234302c5 100644
--- a/plugins/gulp/gulp.plugin.zsh
+++ b/plugins/gulp/gulp.plugin.zsh
@@ -11,7 +11,7 @@
 
 #
 # André König
-# Github: https://github.com/akoenig
+# GitHub: https://github.com/akoenig
 # Twitter: https://twitter.com/caiifr
 #
 
-- 
cgit v1.2.3-70-g09d2